Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

SPI/Persistence/Content/UrlAlias/Handler.php
Go to the documentation of this file.
1 <?php
2
7 namespace eZ\Publish\SPI\Persistence\Content\UrlAlias;
8
15 interface Handler
16 {
31 public function publishUrlAliasForLocation($locationId, $parentLocationId, $name, $languageCode, $alwaysAvailable = false);
32
47 public function createCustomUrlAlias($locationId, $path, $forwarding = false, $languageCode = null, $alwaysAvailable = false);
48
65 public function createGlobalUrlAlias($resource, $path, $forwarding = false, $languageCode = null, $alwaysAvailable = false);
66
78 public function listGlobalURLAliases($languageCode = null, $offset = 0, $limit = -1);
79
90 public function listURLAliasesForLocation($locationId, $custom = false);
91
101 public function removeURLAliases(array $urlAliases);
102
114 public function lookup($url);
115
125 public function loadUrlAlias($id);
126
136 public function locationMoved($locationId, $oldParentId, $newParentId);
137
147 public function locationCopied($locationId, $newLocationId, $newParentId);
148
159 public function locationSwapped($location1Id, $location1ParentId, $location2Id, $location2ParentId);
160
168 public function locationDeleted($locationId): array;
169
176 public function translationRemoved(array $locationIds, $languageCode);
177
185 public function archiveUrlAliasesForDeletedTranslations($locationId, $parentLocationId, array $languageCodes);
186
192 public function deleteCorruptedUrlAliases();
193
203 public function repairBrokenUrlAliasesForLocation(int $locationId);
204 }
eZ\Publish\SPI\Persistence\Content\UrlAlias\$languageCodes
$languageCodes
Definition: SPI/Persistence/Content/UrlAlias.php:76
eZ\Publish\SPI\Persistence\Content\UrlAlias\$id
$id
Definition: SPI/Persistence/Content/UrlAlias.php:28
eZ\Publish\SPI\Persistence\Content\UrlAlias\$alwaysAvailable
$alwaysAvailable
Definition: SPI/Persistence/Content/UrlAlias.php:83
eZ\Publish\SPI\Persistence\Content\UrlAlias\Handler
The UrlAlias Handler interface provides nice urls management.
Definition: SPI/Persistence/Content/UrlAlias/Handler.php:16
eZ\Publish\SPI\Persistence\Content\UrlAlias\Handler\repairBrokenUrlAliasesForLocation
repairBrokenUrlAliasesForLocation(int $locationId)
Attempt repairing auto-generated URL aliases for the given Location (including history).
eZ\Publish\SPI\Persistence\Content\UrlAlias\Handler\locationCopied
locationCopied($locationId, $newLocationId, $newParentId)
Notifies the underlying engine that a location was copied.
eZ\Publish\SPI\Persistence\Content\UrlAlias\Handler\deleteCorruptedUrlAliases
deleteCorruptedUrlAliases()
Delete corrupted URL aliases (global, custom and system).
eZ\Publish\SPI\Persistence\Content\UrlAlias\Handler\archiveUrlAliasesForDeletedTranslations
archiveUrlAliasesForDeletedTranslations($locationId, $parentLocationId, array $languageCodes)
Archive UrlAliases for Translations that were removed from the underlying published content.
eZ\Publish\SPI\Persistence\Content\UrlAlias\Handler\listGlobalURLAliases
listGlobalURLAliases($languageCode=null, $offset=0, $limit=-1)
List global aliases.
eZ\Publish\SPI\Persistence\Content\UrlAlias\Handler\lookup
lookup($url)
Looks up a url alias for the given url.
eZ\Publish\SPI\Persistence\Content\UrlAlias\Handler\locationDeleted
locationDeleted($locationId)
Notifies the underlying engine that a location was deleted or moved to trash.
eZ\Publish\SPI\Persistence\Content\UrlAlias\Handler\locationSwapped
locationSwapped($location1Id, $location1ParentId, $location2Id, $location2ParentId)
Notifies the underlying engine that a location was swapped.
eZ\Publish\SPI\Persistence\Content\UrlAlias\Handler\removeURLAliases
removeURLAliases(array $urlAliases)
Removes url aliases.
eZ\Publish\SPI\Persistence\Content\UrlAlias\Handler\translationRemoved
translationRemoved(array $locationIds, $languageCode)
Notifies the underlying engine that Locations Content Translation was removed.
eZ\Publish\SPI\Persistence\Content\UrlAlias\Handler\createGlobalUrlAlias
createGlobalUrlAlias($resource, $path, $forwarding=false, $languageCode=null, $alwaysAvailable=false)
Create a user chosen $alias pointing to a resource in $languageCode.
eZ\Publish\SPI\Persistence\Content\UrlAlias\Handler\createCustomUrlAlias
createCustomUrlAlias($locationId, $path, $forwarding=false, $languageCode=null, $alwaysAvailable=false)
Create a user chosen $alias pointing to $locationId in $languageCode.
eZ\Publish\SPI\Persistence\Content\UrlAlias\Handler\listURLAliasesForLocation
listURLAliasesForLocation($locationId, $custom=false)
List of url entries of $urlType, pointing to $locationId.
eZ\Publish\SPI\Persistence\Content\UrlAlias\Handler\loadUrlAlias
loadUrlAlias($id)
Loads URL alias by given $id.
eZ\Publish\SPI\Persistence\Content\UrlAlias\Handler\locationMoved
locationMoved($locationId, $oldParentId, $newParentId)
Notifies the underlying engine that a location has moved.
eZ\Publish\SPI\Persistence\Content\UrlAlias\Handler\publishUrlAliasForLocation
publishUrlAliasForLocation($locationId, $parentLocationId, $name, $languageCode, $alwaysAvailable=false)
This method creates or updates an urlalias from a new or changed content name in a language (if publi...
eZ\Publish\SPI\Persistence\Content\UrlAlias
Definition: SPI/Persistence/Content/UrlAlias/Handler.php:7
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.